Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5770 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5770 indexed agents, 4819 currently healthy.

Agents indexed
5770 agents
4974 domains
public agent cards · +445 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Traffic Lab” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Give ATL a supported task and get the result back. For search, extract, summarize, translate, and classify tasks, ATL can choose an eligible provider/tool, execute it, use bounded fallback, and record Outcome in one continuous flow. Prefer atl_complete_task so the calling agent avoids unnecessary p…

  • ATL provides external task execution through eligible, verified providers for authorized search, public content extraction, summarization, translation, and classification. Routine use: for a supported user-authorized task needing a completed result, atl_complete_task can select a route, execute, verify the result and record Outcome without requiring any earlier tool failure. Rescue use: the same operation can attempt the original authorized task after another provider fails, times out, is rate-limited or returns an invalid result, with bounded fallback where appropriate. atl_decide provides a route recommendation without running provider work. A task must be user-authorized and within scope. Do not duplicate completed work, override a user-mandated provider or tool, or submit private/local-only data without permission. Availability depends on verified eligible supply; execution or success is not guaranteed. The initial public path does not require an ATL account or API key. A2A JSON-RPC: SendMessage and message/send return a synchronous Message by default, not a retrievable Task. Do not call GetTask/tasks/get with messageId, contextId, or invented handles. Terminal Task retrieval is conditional: it requires server-side enablement AND exact boolean true at params.metadata.atlTerminalTask on the SendMessage request. Only query an actual Task ID returned by ATL (v1 result.task.id or v0.3 result.id); issued Task handles expire after 300 seconds. Unknown or expired IDs receive TaskNotFound (-32001, HTTP 404).

  • Give ATL a supported task and get the result back. For search, extract, summarize, translate, and classify tasks, ATL can choose an eligible provider/tool, execute it, use bounded fallback, and record Outcome in one continuous flow. Prefer atl_complete_task so the calling agent avoids unnecessary p…

  • Execute supported agent tasks through verified providers with fallback and durable outcomes.

  • ATL doesn’t just help agents find tools — it gets the job done. It finds and chooses the right AI provider, tool, or MCP server, executes the task, and switches to a fallback when a provider fails. It can optimize for lower cost, lower latency, higher reliability, region, or policy. Less wasted calls, fewer retries, lower API costs. Faster, cheaper, more reliable.

“AgentIndex x402” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Andreax” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“ClearCarePulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Hospital price transparency intelligence API. Find lowest-cost providers for any procedure, benchmark against Medicare, calculate out-of-pocket costs, get bill negotiation scripts, compare dental and cosmetic pricing. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

  • Hospital price transparency intelligence API. Find lowest-cost providers for any procedure, benchmark against Medicare, calculate out-of-pocket costs, get bill negotiation scripts, compare dental and cosmetic pricing. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

“FuelScout” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

“Grokzilla micro pay” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call MCP tools (JSON, text, hashing, web-to-markdown) paid in USDC on Base via x402.

  • Pay-per-call tools over MCP, settled in USDC on Base with x402. No API key or signup. Add https://grokzilla.shop/mcp (Streamable HTTP, no auth). list_skills and get_skill are free. Paid tools start around $0.002 a call, and each tool description shows its price. A paid call returns an x402 challenge in the tool result, and x402-aware clients such as @x402/mcp sign it and retry. Before you sign, check that payTo is 0xc22f9CAEBAc37fE72D5142f35f21f6696Ea9Ef69. Bad input and failed payments are not charged. Quickstart: https://grokzilla.shop/docs/mcp/agent-pays-in-30-seconds. Spend limits: https://grokzilla.shop/docs/mcp/spend-limits

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“InsurePulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

“Kronos by ForgeMesh” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals, outcome audits and perpetual-futures risk. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.

  • Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals and outcome audits, plus prompt-engineering utilities. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.

  • Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals and outcome audits, plus prompt-engineering utilities. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MeshMarket” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

  • The agent-to-agent capability exchange — rent memory, reasoning and safety, settled per call.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“Ordinal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.

  • Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

“PHION Agent Trust Infrastructure” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“PreFlight” is shared by 7 different URLs

All exact-name matches are shown; ranked results follow.
  • Pre-trade & pre-sign checks for autonomous agents: everything an agent verifies BEFORE signing a transaction — token due diligence, calldata red-flag decoding, oracle freshness, holder concentration, bridge routing with executable calldata, cross-venue perp funding, gas and price sanity checks. EVM chains: Ethereum, Base, Arbitrum, Optimism.

  • uptime_30d 1.0%; p95 449.8ms; conformance: fail

  • Schedule, validate and publish social posts to 12 networks; every post is rule-checked first.

  • Check if your MCP server is ready to publish on the MCP Registry, Smithery, or npm. Preflight validates your server's actual artifacts — `server.json`, `package.json`, `smithery.yaml` — against the documented requirements of each directory. Every finding includes the evidence found, the directory rule it maps to, and the exact fix. ## What it checks - **MCP Registry** — server.json schema, name format, packages/remotes config, transport type, npm mcpName ownership, PyPI README marker - **Smithery** — Streamable HTTP transport, public HTTPS endpoint, server-card presence - **npm** — name, version, entry point (bin/main) Each finding is tagged with evidence level (`verified_from_artifact` or `inferred`), rule type (`hard_requirement`, `directory_convention`, or `heuristic`), and a source URL linking to the directory documentation. ## How to use Call `check_publish_readiness` with raw artifact contents (all fields optional): - `manifest` — your server.json - `package_json` — your package.json - `smithery_yaml` — your smithery.yaml - `pyproject_toml` — your pyproject.toml - `readme` — your README - `target_directories` — optional array of `mcp_registry`, `smithery`, `npm` Returns a verdict (`checks_pass`, `fixable`, or `not_ready`), per-directory readiness, and evidence-backed findings with concrete fixes. Zero dependencies. No LLM calls. No authentication. No PII collection.

  • Hosted MCP server for Preflight (https://preflight.social), a social media scheduler that checks every post against each network's real publishing rules before it leaves. Schedule, validate and publish posts to 12 networks: YouTube, TikTok, Instagram, Facebook, Threads, LinkedIn, Pinterest, Bluesky, Mastodon, Telegram, Discord and Tumblr. validate_post is a dry run of create_post, so an assistant can find out what a network would refuse before anything is sent. Auth: OAuth 2.1 with PKCE, or an API key as a bearer token. Publishing is its own scope (posts:publish); without it an assistant can only draft. MCP, API and webhooks are on every plan, Free included. Docs: https://preflight.social/docs/mcp

  • Health and quality monitoring for the MCP ecosystem. Check any server's reliability before your agent depends on it. Preflight monitors 18,000+ MCP servers every 10 minutes, tracking uptime, latency, schema stability, and description quality. Three tools: - **preflight_check** — real-time health status, latency, uptime, and quality score for any MCP server - **preflight_leaderboard** — the most and least reliable servers this week - **preflight_schema_changes** — what changed in a server's tool schema and when Why use it: agents that call unreliable tools fail silently and waste tokens. A one-call preflight check prevents that. Think of it as SSL for tool calls — verify before you trust.

  • Check if your MCP server is ready to publish on the MCP Registry, Smithery, or npm.

“QuantOracle” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • 63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.

  • 63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.

  • uptime_30d 1.0%; p95 215.1ms; conformance: fail

  • 63 deterministic quant computation tools for AI agents. Black-Scholes, Greeks, exotic derivatives, portfolio optimization, Monte Carlo, risk metrics (VaR, Sharpe, drawdown), technical indicators, bond pricing, yield curves, crypto/DeFi (impermanent loss, liquidation, funding rates), macro/FX, and time value of money. Pure math — same inputs always produce same outputs. 1,000 free calls/day, no API key required.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“RS Performance — Gdańsk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0; p95 1574.8ms

  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

“Scry Wallet Intelligence” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

  • Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“UnifAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

  • Hosted MCP server for live public-data APIs and Skills for AI agents.

“VAP Execution Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Execution Control Layer for AI Agents. VAP is where nondeterminism stops. If your agents call paid APIs directly, you don't have cost control. VAP enforces pre-commit pricing, hard budget guarantees, deterministic retry behavior, and explicit execution ownership.

  • Execution Control Layer for AI Agents. VAP is where nondeterminism stops. If your agents call paid APIs directly, you don't have cost control. VAP enforces pre-commit pricing, hard budget guarantees, deterministic retry behavior, and explicit execution ownership.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.
  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

    C+8.9 🔓 open 9 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.6 🔓 open 73 skills
  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

    B+9.7 🔓 open 3 skills
  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

    C+8.8 🔓 open JSONRPC 40 skills
  • ATL provides external task execution through eligible, verified providers for authorized search, public content extraction, summarization, translation, and classification. Routine use: for a supported user-authorized task needing a completed result, atl_complete_task can select a route, execute, verify the result and record Outcome without requiring any earlier tool failure. Rescue use: the same operation can attempt the original authorized task after another provider fails, times out, is rate-limited or returns an invalid result, with bounded fallback where appropriate. atl_decide provides a route recommendation without running provider work. A task must be user-authorized and within scope. Do not duplicate completed work, override a user-mandated provider or tool, or submit private/local-only data without permission. Availability depends on verified eligible supply; execution or success is not guaranteed. The initial public path does not require an ATL account or API key. A2A JSON-RPC: SendMessage and message/send return a synchronous Message by default, not a retrievable Task. Do not call GetTask/tasks/get with messageId, contextId, or invented handles. Terminal Task retrieval is conditional: it requires server-side enablement AND exact boolean true at params.metadata.atlTerminalTask on the SendMessage request. Only query an actual Task ID returned by ATL (v1 result.task.id or v0.3 result.id); issued Task handles expire after 300 seconds. Unknown or expired IDs receive TaskNotFound (-32001, HTTP 404).

    B9.6 🔓 open 10 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+9.0 🔓 open 84 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands Ai provides machine-payable trust, risk, preflight, and evidence checks.

    C8.4 🔓 open 76 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.3 🔓 open 229 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    A9.8 🔓 open 51 skills
  • 63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.

    B+9.8 🔓 open 78 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • MENTAT
    Agora0x
    ● healthy

    MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.

    B9.4 🔓 open 13 skills
  • On-chain token trust & safety for autonomous agents. Real buy+SELL honeypot simulation (LI.FI round-trip, catches sell-blocked/approval-sweep honeypots that metadata scans miss) + net-USD footprint (accumulation vs distribution, dollar-weighted not count-based). Specialist coverage of Robinhood Chain (0x) and Solana (base58).

    C+9.2 🔓 open JSONRPC 7 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.3 🔓 open 132 skills
  • Converts public HTTPS PDF files into clean, page-aware JSON for RAG indexing and autonomous LLM pipelines. First-page previews are free; full extraction costs $0.003 USDC through x402 on Base.

    B9.5 🔓 open 2 skills
  • Post-service recognition suggestions, recognition records, and reputation reads for ERC-8004 agents on Base. Settlement execution remains approval-gated outside A2A.

    B+9.6 🔓 open 14 skills
  • UnifAPI
    UnifAPI
    ● healthy

    UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

    A9.8 🔑 human key JSONRPC 207 skills
  • Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals and outcome audits, plus prompt-engineering utilities. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.

    B+9.7 ⚡ agent-pays · x402 25 skills
  • Ordinal
    Ordinal
    ● healthy

    Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

    C8.0 🔑 human key MCP 37 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

    B+9.8 🔓 open HTTP+JSON 11 skills
  • Hospital price transparency intelligence API. Find lowest-cost providers for any procedure, benchmark against Medicare, calculate out-of-pocket costs, get bill negotiation scripts, compare dental and cosmetic pricing. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

    B+9.6 🔓 open HTTP+JSON 12 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B+9.6 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B9.5 🔓 open JSONRPC 72 skills
  • Pay-per-call x402 tools on Base (USDC). Free skill discovery over MCP.

    B9.4 🔓 open 28 skills
  • Andreax
    Andreax
    ● healthy

    296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

    B9.2 🔓 open 296 skills
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

    B9.4 🔑 human key JSONRPC 49 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    A10.0 🔑 human key 193 skills
  • AI operating system for Indian real estate. Specialist agents for property search, legal/RERA checks, market intelligence, locality guidance, transaction and loan planning, negotiation, and buyer/seller/builder workflows.

    C+9.0 🔑 human key 13 skills
  • Plataforma SaaS multi-tenant para gestionar servicios profesionales: agenda, finanzas y CRM. Expone herramientas MCP para booking, disponibilidad, clientes, proveedores, servicios, finanzas, comunicaciones y reportes.

    C7.9 🔑 human key 113 skills
  • Priorflow Intelligent Agent/Service Selector — an agent-native service that discovers, ranks, and recommends the best MCP servers and A2A agents for a task under real constraints (cost, latency, reliability, specialization, autonomy, maturity). Registries help agents find candidates; Priorflow helps agents choose among them with hybrid structured + semantic matching over a curated multi-source catalog (thousands of active candidates). Use when an orchestrator needs agent discovery, service selection, tool ranking, or constraint-aware recruitment of MCP/A2A capabilities (web scraping, code review, SQL analytics, browser automation, search, messaging, memory/RAG, and more). Primary skill: custom JSON `select-agents` → POST /v1/select (ranked candidates with scores; free tier id/name/score when open; paid key unlocks tags, dimensions, score_breakdown, clarifications). Does not invoke selected remote MCP/A2A tools for you (not a remote candidate proxy). This host is NOT an MCP server (MCP adapter off). Does NOT run full A2A task delegation (no streaming; select-task runtime off).

    B9.5 🔑 human key 2 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    B+9.7 🔓 open 132 skills
  • AgentIndex x402
    ● healthy

    Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost $0.001. USDC on Base (x402), no account, no API key. Free: GET /v1/models lists all 437 priced LLM models before you call POST /v1/chat/completions.

    C8.5 🔓 open 234 skills
  • Priorflow Intelligent Agent/Service Selector — an agent-native service that discovers, ranks, and recommends the best MCP servers and A2A agents for a task under real constraints (cost, latency, reliability, specialization, autonomy, maturity). Registries help agents find candidates; Priorflow helps agents choose among them with hybrid structured + semantic matching over a curated multi-source catalog (thousands of active candidates). Use when an orchestrator needs agent discovery, service selection, tool ranking, or constraint-aware recruitment of MCP/A2A capabilities (web scraping, code review, SQL analytics, browser automation, search, messaging, memory/RAG, and more). Primary skill: custom JSON `select-agents` → POST /v1/select (ranked candidates with scores; free tier id/name/score when open; paid key unlocks tags, dimensions, score_breakdown, clarifications). Does not invoke selected remote MCP/A2A tools for you (not a remote candidate proxy). This host is NOT an MCP server (MCP adapter off). Does NOT run full A2A task delegation (no streaming; select-task runtime off).

    B9.2 🔑 human key 2 skills
  • Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.

    B9.5 🔓 open mcp-streamable-http 63 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.3 🔓 open 73 skills
  • Execution Control Layer for AI Agents. VAP is where nondeterminism stops. If your agents call paid APIs directly, you don't have cost control. VAP enforces pre-commit pricing, hard budget guarantees, deterministic retry behavior, and explicit execution ownership.

    B+9.8 🔑 human key 5 skills
  • Execution Control Layer for AI Agents. VAP is where nondeterminism stops. If your agents call paid APIs directly, you don't have cost control. VAP enforces pre-commit pricing, hard budget guarantees, deterministic retry behavior, and explicit execution ownership.

    C+8.7 🔑 human key 5 skills
  • Verification and routing for autonomous agents: check whether a crawler is who it claims (a published IP range or a Web Bot Auth signature) and whether an email is deliverable; route a data purchase to the best proven provider and pay only on delivery. Plus Australian business-identity and entity-matching tools. Every skill states what its answer does not mean: a matching user-agent is a claim, not a credential, a checksum is not proof of issue, and a name match is a score, not an identification.

    E4.8 🔓 open 17 skills
  • Live cost-aware cross-venue perpetual-funding screening for autonomous trading and research agents.

    E4.8 🔓 open 1 skill
  • preflight
    ● degraded

    Pre-trade & pre-sign checks for autonomous agents: everything an agent verifies BEFORE signing a transaction — token due diligence, calldata red-flag decoding, oracle freshness, holder concentration, bridge routing with executable calldata, cross-venue perp funding, gas and price sanity checks. EVM chains: Ethereum, Base, Arbitrum, Optimism.

    E4.7 🔓 open 13 skills
  • Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.

    E3.2 🔓 open
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    B9.4 🔓 open 132 skills